Subject: [ipfix-protocol] Template refresh

From: Stewart Bryant <[email-masked]>
Date: Wed, 14 Jul 2004 14:26:31 +0100

From draft-ietf-ipfix-protocol-3.txt  
Section 13. Template Management 
 
The following text is specific to the sending of Templates
over unreliable transport protocols:

The Exporting Process sends the Template FlowSet and Options 
Template FlowSet under the following conditions: 
<snip>
 
    3. On a regular basis, the Exporting Process MUST send all the 
       Template Records and Options Template Records to refresh the 
       Collecting Process. Template IDs have a limited lifetime at the 
       Collecting Process and MUST be periodically refreshed. 
       Two approaches are taken to make sure that Templates get 
       refreshed at the Collecting Process: 
          * Every N number of IPFIX Messages. 
          * On a time basis, so every N number of minutes. 
       Both options MUST be configurable by the user on the Exporting 
       Porcess. 
       When one of these expiry conditions is met, the Exporting 
       Process MUST send the Template FlowSet and Options Template.  
<end extract>

Should be replaced by:

If the Template Records and Options Template Records are sent using
a transport protocol that is not fully reliable they MUST be refreshed
on a regular basis by the Exporting Process which MUST re-send all the 
Template Records and Options Template Records to the Collecting Process. 

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Robert Lowe <[email-masked]>
Date: Wed, 14 Jul 2004 10:36:29 -0500

Stewart Bryant wrote:

>  From draft-ietf-ipfix-protocol-3.txt  Section 13. Template Management
> The Exporting Process sends the Template FlowSet and Options Template 
> FlowSet under the following conditions: <snip>
> 
> Collecting Process and MUST be periodically refreshed.       Two 
> approaches are taken to make sure that Templates get       refreshed at 
> the Collecting Process:          * Every N number of IPFIX Messages. 
>          * On a time basis, so every N number of minutes.       Both 
> options MUST be configurable by the user on the Exporting       Porcess. 
> Process MUST send the Template FlowSet and Options Template.  <end extract>
> 
> Should be replaced by:
> 

Yes, IIRC, that was pointed out in Luca Deri's document of the other day...
the other option (future?) being a two-way protocol, where such things are
ACKed.

-Robert

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 14 Jul 2004 17:09:09 +0100

Robert Lowe wrote:

>>    3. On a regular basis, the Exporting Process MUST send all 
>> the       Template Records and Options Template Records to refresh 
>> the       Collecting Process. Template IDs have a limited lifetime at 
>> the       Collecting Process and MUST be periodically 
>> refreshed.       Two approaches are taken to make sure that Templates 
>> get       refreshed at the Collecting Process:          * Every N 
>> number of IPFIX Messages.          * On a time basis, so every N 
>> number of minutes.       Both options MUST be configurable by the 
>> user on the Exporting       Porcess.       When one of these expiry 
>> conditions is met, the Exporting       Process MUST send the Template 
>> FlowSet and Options Template.  <end extract>
>>
>> Should be replaced by:
>>
>> on a regular basis by the Exporting Process which MUST re-send all 
>> the Template Records and Options Template Records to the Collecting 
>> Process.
>
>

Robert

I would be really against inventing a new protocol when SCTP or TCP can be
used to reliably get the template across and maintain a keep alive 
between exporter
and collector.

Stewart

---

From: Robert Lowe <[email-masked]>
Date: Wed, 14 Jul 2004 13:27:22 -0500

>> the other option (future?) being a two-way protocol, where such things 

Stewart,

> used to reliably get the template across and maintain a keep alive 

Agreed!  I guess I was thinking of UDP, but we won't go there!  ;-)

-Robert